<?php
register_nav_menu( 'main-menu', __( 'Navigation Menu' , 'indoblogazine' ) );
function indoblogazine_primarymenu(){ ?>
			<div id="navmenu">
<ul><li><?php 
if( current_user_can( 'edit_theme_options' ) ) :
_e( 'Go to the admin and then click > Appearance And click Menu to set the desired menu', 'indoblogazine' ); 
endif;
?>
</li></ul>
		
			</div>
<?php }
function indoblogazine_widgets_init() {
register_sidebar(array(
'name' => __('sidebar right','indoblogazine'),
'description' => __('sidebar right area', 'indoblogazine'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '<h3>',
'after_title' => '</h3>'
));
register_sidebar(array(
'name' => __('footer left','indoblogazine'),
'description' => __('footer left area', 'indoblogazine'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '<h3>',
'after_title' => '</h3>'
));
register_sidebar(array(
'name' => __('footer midlle','indoblogazine'),
'description' => __('footer midle area', 'indoblogazine'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '<h3>',
'after_title' => '</h3>'
));
register_sidebar(array(
'name' => __('footer right','indoblogazine'),
'description' => __('footer right area', 'indoblogazine'),
'before_widget' => '',
'after_widget' => '',
'before_title' => '<h3>',
'after_title' => '</h3>'
));		
}
add_action( 'widgets_init', 'indoblogazine_widgets_init' );
if ( ! isset( $content_width ) )
	$content_width = 584;
function indoblogazine_setup(){
load_theme_textdomain('indoblogazine', get_template_directory() . '/language');
add_theme_support( 'post-thumbnails' ); 
add_theme_support( 'automatic-feed-links' );
add_editor_style();
}
function indoblogazine_enqueue_scripts_styles( ) {
        wp_enqueue_style( 'default', get_template_directory_uri() . '/style.css', array(), '1.2.0');
     
    }
function indoblogazine_enqueue_comment_reply() {
    if ( is_singular() && comments_open() && get_option('thread_comments')) { 
            wp_enqueue_script('comment-reply'); 
        }
    }
add_action('wp_enqueue_scripts', 'indoblogazine_enqueue_scripts_styles');
add_action( 'wp_enqueue_scripts', 'indoblogazine_enqueue_comment_reply' );
add_action( 'after_setup_theme', 'indoblogazine_setup' );

?>

<?php
function indoblogazine_excerpt_length( $length ) {
	return 40;
}
add_filter( 'excerpt_length', 'indoblogazine_excerpt_length' );
function indoblogazine_continue_reading_link() {
	return '<span class="read-more"><a href="'. esc_url(get_permalink()) . '">' . __( 'Read more &raquo;', 'indoblogazine' ) . '</a></span>';
}
function indoblogazine_excerpt_more( $more ) {
	return ' &hellip;' . indoblogazine_continue_reading_link();
}
add_filter( 'excerpt_more', 'indoblogazine_excerpt_more' );
?>
<?php
function indoblogazine_templates() {
	$themes = get_themes();
	$theme = get_current_theme();
	$templates = $themes[$theme]['Template Files'];
	$post_templates = array();

	$base = array(trailingslashit(get_template_directory()), trailingslashit(get_stylesheet_directory()));

	foreach ((array)$templates as $template) {
		$template = WP_CONTENT_DIR . str_replace(WP_CONTENT_DIR, '', $template); 
		$basename = str_replace($base, '', $template);

		
		if (false !== strpos($basename, '/'))
			continue;

		$template_data = implode('', file( $template ));

		$name = '';
		if (preg_match( '|blogazine style:(.*)$|mi', $template_data, $name))
			$name = _cleanup_header_comment($name[1]);

		if (!empty($name)) {
			if(basename($template) != basename(__FILE__))
				$post_templates[trim($name)] = $basename;
		}
	}

	return $post_templates;

}


function indoblogazine_post_templates_dropdown() {
	global $post;
	$post_templates = indoblogazine_templates();
	
	foreach ($post_templates as $template_name => $template_file) { 
		if ($template_file == get_post_meta($post->ID, '_wp_post_template', true)) { $selected = ' selected="selected"'; } else { $selected = ''; }
		$opt = '<option value="' . $template_file . '"' . $selected . '>' . $template_name . '</option>';
		echo $opt;
	}
}


add_filter('single_template', 'indoblogazine_get_post_template');
function indoblogazine_get_post_template($template) {
	global $post;
	$custom_field = get_post_meta($post->ID, '_wp_post_template', true);
	if(!empty($custom_field) && file_exists(get_template_directory() . "/{$custom_field}")) { 
		$template = get_template_directory() . "/{$custom_field}"; }
	return $template;
}


add_action('admin_menu', 'indoblogazine_pt_add_custom_box');
function indoblogazine_pt_add_custom_box() {
	if(indoblogazine_templates() ) {
		add_meta_box( 'indoblogazine_pt_post_templates', __( 'blogazine style', 'indoblogazine' ), 
			'indoblogazine_pt_inner_custom_box', 'post', 'normal', 'high' ); 
	}
}   
function indoblogazine_pt_inner_custom_box() {
	global $post;
	
	echo '<input type="hidden" name="indoblogazine_pt_noncename" id="indoblogazine_pt_noncename" value="' . wp_create_nonce( basename(__FILE__) ) . '" />';
	
	echo '<label class="hidden" for="post_template">' . __("Post Template", 'indoblogazine' ) . '</label><br />';
	echo '<select name="_wp_post_template" id="post_template" class="dropdown">';
	echo '<option value="">Default</option>';
	indoblogazine_post_templates_dropdown();
	echo '</select>';
	echo '<p>' . __('Please select the style you want by clicking the dropdown menu above. There are two styles to blogazine if you do not select it, then it will be the default single post, still confused? Just visit my blog http://amdhas.tk', 'indoblogazine' ) . '</p>';
}


add_action('save_post', 'indoblogazine_pt_save_postdata', 1, 2); 
function indoblogazine_pt_save_postdata($post_id, $post) {
	
	
	if ( !wp_verify_nonce( $_POST['indoblogazine_pt_noncename'], basename(__FILE__) )) {
	return $post->ID;
	}

	
	if ( 'page' == $_POST['post_type'] ) {
		if ( !current_user_can( 'edit_page', $post->ID ))
		return $post->ID;
	} else {
		if ( !current_user_can( 'edit_post', $post->ID ))
		return $post->ID;
	}

	
	$mydata['_wp_post_template'] = $_POST['_wp_post_template'];
	
	foreach ($mydata as $key => $value) { 
		if( $post->post_type == 'revision' ) return; 
		$value = implode(',', (array)$value); 
		if(get_post_meta($post->ID, $key, FALSE)) { 
			update_post_meta($post->ID, $key, $value); 
		} else { 
			add_post_meta($post->ID, $key, $value);
		}
		if(!$value) delete_post_meta($post->ID, $key);
	}
}
?>
<?php
ob_start('indoblogazine_save');
function indoblogazine_save($artd_buffer) {
	global $global_styles, $single_styles;	
	$data = "\n".$single_styles.$global_styles;
    $artd_buffer = str_replace('</head>', $data."\n</head>", $artd_buffer);	 
    return $artd_buffer;
}

add_action('the_content', 'indoblogazine_inline');
function indoblogazine_inline($data) {
	global $post, $global_styles, $single_styles;
	if(is_single() or is_page()) 
		$single_styles .= str_replace( '#postid', $post->ID, get_post_meta($post->ID, 'indoblogazine_ideamdhas_single', true) )."\n";
	
	return $data;
}

add_action('publish_page','indoblogazine_save_postdata');
add_action('publish_post','indoblogazine_save_postdata');
add_action('save_post','indoblogazine_save_postdata');
add_action('edit_post','indoblogazine_save_postdata');

function indoblogazine_save_postdata( $post_id ) {
 	
  	if ( !wp_verify_nonce( $_POST['indoblogazine-ideamdhas-nonce'], basename(__FILE__) ) )
    	return $post_id;
  
  	if ( 'page' == $_POST['post_type'] ) {
    	if ( !current_user_can( 'edit_page', $post_id ) )
      		return $post_id;
  	} else {
    	if ( !current_user_can( 'edit_post', $post_id ) )
      		return $post_id;
  	}

  	
	delete_post_meta( $post_id, 'indoblogazine_ideamdhas_single' );
	
	
	if(trim($_POST['single-code']) != '')
		add_post_meta( $post_id, 'indoblogazine_ideamdhas_single', ($_POST['single-code']));
	

	return true;
}

add_action('admin_menu', 'indoblogazine_add_meta_box');
add_action('admin_head', 'indoblogazine_admin_head');

function indoblogazine_admin_head() { ?>	
<?php
}
function indoblogazine_add_meta_box() {
		if( current_user_can('edit_posts') )
    		add_meta_box( 'indoblogazine-ideamdhas-box', __( 'Costum style blogazine', 'indoblogazine' ), 
                'indoblogazine_meta_box', 'post', 'normal' );
		if( current_user_can('edit_pages') )
    		add_meta_box( 'indoblogazine-ideamdhas-box', __( 'Costum style blogazine', 'indoblogazine' ), 
                'indoblogazine_meta_box', 'page', 'normal' );
	}

function indoblogazine_meta_box() {
	global $post;
?>
<form action="indoblogazine-ideamdhas_submit" method="get" accept-charset="utf-8">
	<?php
	
  	echo '<input type="hidden" name="indoblogazine-ideamdhas-nonce" id="indoblogazine-ideamdhas-nonce" value="' . 
		wp_create_nonce(basename(__FILE__) ) . '" />'; ?>

	<script type="text/javascript" charset="utf-8">
	/* <![CDATA[ */
	jQuery(document).ready(function() {
		jQuery('.help').click(function() {
			var anchor = this.href.substr( this.href.indexOf('#') );
			jQuery(this).hide();
			jQuery(anchor).toggle();
			return false;
		});
		

		jQuery('#indoblogazine-ideamdhas-box textarea').focus(function() {
			jQuery('#location').attr('class', this.id);
			var location = jQuery('#location').attr('class');
		});
		
		jQuery('#style-insert').click(function() {
			var location = jQuery('#location').attr('class');
			edInsertContent(location, '<' + 'style type="text/css" media="screen"'+'>'+"\n\n"+'<'+'/style'+'>');
		});
		jQuery('#script-insert').click(function() {
			var location = jQuery('#location').attr('class');
			edInsertContent(location, '<'+'script type="text/javascript" charset="utf-8"'+'>'+"\n\n"+'<'+'/script'+'>');
		});
		
		
		function edInsertContent(which, myValue) {
		    myField = document.getElementById(which);
			//IE suppart
			if (document.selection) {
				myField.focus();
				sel = document.selection.createRange();
				sel.text = myValue;
				myField.focus();
			}
			//MOZILLA/NETSCAPE suppart
			else if (myField.selectionStart || myField.selectionStart == '0') {
				var startPos = myField.selectionStart;
				var endPos = myField.selectionEnd;
				var scrollTop = myField.scrollTop;
				myField.value = myField.value.substring(0, startPos)
				              + myValue 
		                      + myField.value.substring(endPos, myField.value.length);
				myField.focus();
				myField.selectionStart = startPos + myValue.length;
				myField.selectionEnd = startPos + myValue.length;
				myField.scrollTop = scrollTop;
			} else {
				myField.value += myValue;
				myField.focus();
			}
		}
	});
	
	/* ]]> */
	</script>
<p><?php _e( 'You can enter an internal CSS code and javascript', 'indoblogazine' ); ?></p>
	<input type="hidden" name="location" id="location" />
	<input type="button" name="style-insert" class="button" value="<?php _e( 'Insert &lt;style&gt; Tag', 'indoblogazine' ); ?>" id="style-insert" /> 
	<input type="button" name="script-insert" class="button" value="<?php _e( 'Insert &lt;script&gt; Tag', 'indoblogazine' ); ?>" id="script-insert" />

<textarea style="width:100%;height:400px;min-height:100%" id="single-code" name="single-code" rows="8" cols="40"><?php esc_attr_e( get_post_meta( $post->ID,'indoblogazine_ideamdhas_single', true ) ); ?></textarea>

</form>
<?php
}